## bacula-doc 1.38.11.1

=== images/Makefile ===
#
#
#  Makefile for converting images from png to pdf
#
#
# If you don't like the scaling of an image, change it in the
# image_scales file.  This is the file where image_convert.pl
# keeps its list of how images should be scaled, and scale
# factors in this file will be used preferentially (There was a
# bug so it didn't do this until now).	If you change an image
# and want it automatically rescaled, delete it's line from the
# image_scales file and do 'make converteps'.
#

# png images
IMAGES =  bacula-applications \
	  bacula-objects \
	  Bacula-tray-monitor \
	  bimagemgr1 \
	  bimagemgr2 \
	  bimagemgr3 \
	  Conf-Diagram \
	  win32-finish \
	  win32-location \
	  win32-nsis \
	  win32-pkg \
	  win32-service-ok \
	  win32-service \
	  win32-start \
	  win32-welcome \
	  access-is-denied \
	  confirm \
	  flow \
	  menu \
	  philosophical-gnu-sm \
	  properties-security-advanced-owner \
	  properties-security \
	  tray-icon \
	  view-only \
	  back \
	  bacula-logo \
	  bclogo \
	  error \
	  file \
	  home \
	  idle \
	  md5 \
	  next \
	  running \
	  smartall \
	  thanks

#	  xp-control-panel  
#	  xp-windows-firewall-advanced \
#	  xp-windows-firewall-advanced-settings-after \
#	  xp-windows-firewall-advanced-settings-before \
#	  xp-windows-firewall-advanced-settings-service-details \
#	  xp-windows-firewall


# jpg images
JPGIMAGES = xp-control-panel \
	  xp-windows-firewall-advanced \
	  xp-windows-firewall-advanced-settings-after \
	  xp-windows-firewall-advanced-settings-before \
	  xp-windows-firewall-advanced-settings-service-details \
	  xp-windows-firewall  

# gif images
GIFIMAGES = back \
	    bacula-logo \
	    bclogo \
	    error \
	    file \
	    home \
	    idle \
	    md5 \
	    next \
	    running \
	    smartall \
	    thanks  




first_rule: all

.SUFFIXES:     .texi .html .pdf
.PHONY:

all:	convert

# Convert png images to pdf (texinfo needs both)
convertpdf:	  
	(for i in ${IMAGES} ; do \
	   pngtopnm $${i}.png | pnmtops -scale=0.85 --noturn -nosetpage | epstopdf --filter >$${i}.pdf ; \
	 done)

# Convert any png images to eps (for LaTeX)
converteps:
	(for i in ${IMAGES} ; do \
	   pngtopnm $${i}.png | pnmtops -scale=0.65 --noturn -nosetpage >$${i}.eps; \
	   ./image_convert.pl --scalefile=image_scales --defaultscale=0.65 --resolution=140 --maxx=5 --maxy=8 $${i}.png hires/$${i}.eps; \
	 done)
   
# Convert any JPEG images to png
convertjpg:	  
	(for i in ${JPGIMAGES} ; do \
	   jpegtopnm $${i}.jpg | pnmtopng >$${i}.png ; \
	 done)

# Convert any GIF images to png
convertgif:
	(for i in ${GIFIMAGES} ; do \
	   giftopnm $${i}.gif | pnmtopng >$${i}.png ; \
	 done)
 
clean:
	@rm -f 1 2 3

distclean:  clean

=== manual-de/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#

IMAGES=../images

first_rule: bacula

bacula: tex web html dvipdf mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@./update_version
	@echo "Making version `cat version.tex`"
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex
	-latex -interaction=batchmode bacula.tex
	makeindex bacula.idx -o bacula.ind 2>/dev/null
	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
	-latex -interaction=batchmode bacula.tex

pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 bacula.dvi

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf bacula.dvi bacula.pdf

html:
	@echo " "
	@echo "Making html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names bacula.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl bacula >tex.out 2>&1
	./translate_images.pl --to_meaningful_names bacula.html
	@echo "Done making html"

web:
	@echo "Making web"
	@mkdir -p bacula
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps *.txt bacula
	@cp -fp ${IMAGES}/*.eps *.txt ${IMAGES}/*.png bacula
	@rm -f bacula/xp-*.png
	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
	@rm -rf bacula/*.html
	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl -white -notransparent bacula >tex.out 2>&1
	./translate_images.pl --to_meaningful_names bacula/Bacula_Users_Guide.html
	cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
	@echo "Done making web"
show:
	xdvi bacula

texcheck:
	./check_tex.pl bacula.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f bacula/*.gif bacula/*.jpg bacula/*.eps
	@rm -f bacula/*.aux bacula/*.cp bacula/*.fn bacula/*.ky bacula/*.log bacula/*.pg
	@rm -f bacula/*.backup bacula/*.ilg bacula/*.lof bacula/*.lot
	@rm -f bacula/*.cdx bacula/*.cnd bacula/*.ddx bacula/*.ddn bacula/*.fdx bacula/*.fnd bacula/*.ind bacula/*.sdx bacula/*.snd
	@rm -f bacula/*.dnd bacula/*.old bacula/*.out
	@rm -f bacula/WARNINGS


clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex


distclean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f	*.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex

=== manual-fr/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make links
#    make all
#    make web
#    make html
#    make pdf
#
# or simply
#
#    make
#

IMAGES=../images

#  bacula  -- special case below
#  running -- special case below

#
# Note, these are all parts of the manual not in any
#  particular order (mostly alphabetic). The order they
#  appear in the manual is defined in bacula.tex
#
MANUAL = \
   autochangers bootstrap bugs catalog \
   catmaintenance configure consoleconf console critical \
   daemonprotocol dirdconf director disk faq filedconf file \
   firewalls gpl install internaldb kaboom lesser \
   license messagesres monitorconf mysql oldfileset pools \
   porting postgresql progs projects quickstart recycling \
   regression rescuefloppy rescue restore rpm-faq \
   security spooling sqlite state storage \
   storedconf strategies stunnel \
   requirements supportedoses supporteddrives tapetesting \
   thanks tips vars verify win32 \
   daemonprotocol gui-interface \
   supportedchangers \
   md5 mediaformat mempool netprotocol porting smartall


first_rule: bacula

bacula: tex web html dvipdf

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex
	-latex -interaction=batchmode bacula.tex
	makeindex bacula.idx -o bacula.ind 2>/dev/null
	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
	-latex -interaction=batchmode bacula.tex
	@rm -f *.eps *.old


pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 bacula.dvi
# Rename for loading on Web site
	mv bacula.pdf dev-bacula.pdf
	@rm -f *.eps *.old

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf bacula.dvi bacula.pdf
	@rm -f *.eps *.old

html:
	@echo "Making html"
#    If you turn on the following, it aborts after a "make clean"
#	@./translate_images.pl --from_meaningful_names bacula.html
	@cp -fp ${IMAGES}/*.eps .
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl bacula >/dev/null
	@echo
	@./translate_images.pl --to_meaningful_names bacula.html
	@rm -f *.eps *.gif *.jpg

web:
	@echo "Making web"
	@mkdir -p bacula
	@cp -f imagename_translations bacula
#    If you turn on the following, it aborts after a "make clean"
#	@./translate_images.pl --from_meaningful_names bacula/Bacula_Users_Guide.html
	@rm -rf bacula/*.html
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps *.txt bacula
	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl -white -notransparent bacula >/dev/null
	@echo
	@./translate_images.pl --to_meaningful_names bacula/Bacula_Users_Guide.html
	@cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
	@rm -f *.eps *.gif *.jpg bacula/*.eps *.old

texcheck:
	./check_tex.pl bacula.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

clean:
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex


distclean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f	*.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex

## bacula-doc 2.0.3

=== images/Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #
 #
+#  All the base Bacula images are .png.  They can start out
+#   as jpeg, gif, ... but we convert them to .png then
+#   operate on them from there.  For example, we need them
+#   in eps and pdf format for some of the output.
+#
 #  Makefile for converting images from png to pdf
-#
 #
 # If you don't like the scaling of an image, change it in the
 # image_scales file.  This is the file where image_convert.pl
@@ -12,7 +16,7 @@
 # image_scales file and do 'make converteps'.
 #
 
-# png images
+# Base png images
 IMAGES =  bacula-applications \
 	  bacula-objects \
 	  Bacula-tray-monitor \
@@ -20,8 +24,12 @@
 	  bimagemgr2 \
 	  bimagemgr3 \
 	  Conf-Diagram \
+	  win32-config \
 	  win32-finish \
+	  win32-installation-type \
+	  win32-installing \
 	  win32-location \
+	  win32-menu \
 	  win32-nsis \
 	  win32-pkg \
 	  win32-service-ok \
@@ -58,7 +66,7 @@
 #	  xp-windows-firewall
 
 
-# jpg images
+# jpg images 
 JPGIMAGES = xp-control-panel \
 	  xp-windows-firewall-advanced \
 	  xp-windows-firewall-advanced-settings-after \
@@ -98,6 +106,7 @@
 
 # Convert any png images to eps (for LaTeX)
 converteps:
+	chmod 755 image_convert.pl
 	(for i in ${IMAGES} ; do \
 	   pngtopnm $${i}.png | pnmtops -scale=0.65 --noturn -nosetpage >$${i}.eps; \
 	   ./image_convert.pl --scalefile=image_scales --defaultscale=0.65 --resolution=140 --maxx=5 --maxy=8 $${i}.png hires/$${i}.eps; \

## bacula-doc 2.2.5

=== Makefile ===
#
# $Id: Makefile.in 2549 2005-11-05 22:11:40Z kerns $
#

# autoconf/Make.common.in        -*- Makefile -*-
# release date (man), LSM date, version number/name, current maintainer
DATE="09 October 2007"
LSMDATE=@LSMDATE@
VERSION=2.2.5
VERNAME=bacula-$(VERSION)#
MAINT=Kern Sibbald#
MAINTEMAIL=<kern@sibbald.com>#
#-------------------------------------------------------------------------

SHELL = /bin/sh

# Installation target directories & other installation stuff
prefix = /usr/local
exec_prefix = ${prefix}
binprefix =
manprefix =
sbindir = ${exec_prefix}/sbin
sysconfdir = ${prefix}/etc
scriptdir = @scriptdir@
mandir = ${prefix}/man/man1
manext = 1

# Tools & program stuff
MV = /bin/mv
RM = /bin/rm
RMF = /bin/rm -f
CP = /bin/cp
SED = @SED@
AWK = /usr/bin/gawk
ECHO = /bin/echo
CMP = @CMP@
INSTALL = /usr/bin/install -c
# add the -s to the following in PRODUCTION mode
INSTALL_PROGRAM = /usr/bin/install -c -m @SBINPERM@
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_SCRIPT = /usr/bin/install -c -m @SBINPERM@
INSTALL_CONFIG = /usr/bin/install -c -m 640


# End of common section of the Makefile
#-------------------------------------------------------------------------

srcdir =	.

.PATH:		.
BACULASRC =	/home/kern/bacula/Release-2.2.5/bacula-2.2.5

basedir = ..
topdir = ..
thisdir = doc

#
# Distribution variables
#


DIST	  = Makefile.in

#-------------------------------------------------------------------------

all:
	(cd manual; make)
	(cd developers; make)
	(cd bacula-web; make)


configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h autoconf/config.h.in
	cd $(srcdir);
	${RMF} -f config.cache config.log config.out config.status src/config.h
	autoconf --prepend-include=$(srcdir)/autoconf \
	autoconf/configure.in > configure
	chmod 755 configure

Makefile: Makefile.in
	cd $(topdir) \
	    && CONFIG_FILES=$(thisdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

Makefiles:
	$(SHELL) config.status


SEDREPLACE = -e 's%@BACULA_VERSION@%$(VERSION)%g;'\
	     -e 's%@BACULA_LSMDATE@%$(LSMDATE)%g;'\
	     -e 's%@BACULA_DATE@%$(DATE)%g;'\
	     -e 's%@BACULA_MAINTEMAIL@%$(MAINTEMAIL)%g;'\
	     -e 's%@BACULA_MAINT@%$(MAINT)%g;'\
	     -e 's%@BACULA_WEBPAGE@%$(WEBPAGE)%g;'\
	     -e 's%@BACULA_WEBMAINTEMAIL@%$(WEBMAINTEMAIL)%g;'\
	     -e 's%@BACULA_WEBMAINT@%$(WEBMAINT)%g;'\
	     -e 's%@BACULA_FTPSITENAME@%$(FTPSITENAME)%g;'\
	     -e 's%@BACULA_FTPSITEDIR@%$(FTPSITEDIR)%g;'


$(basedir)/$(VERNAME).lsm: LSM.in $(srcdir)/../autoconf/Make.common.in $(srcdir)/../src/version.h
	$(SED) $(SEDREPLACE) < $(srcdir)/LSM.in > $@

clean:
	$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
	(cd manual; make clean)
	(cd manual-de; make clean)
	(cd manual-fr; make clean)
	(cd bacula-web; make clean)

realclean: clean

distclean:
	$(RMF) Makefile
	$(RMF) -r CVS html-manual/CVS home-page/CVS techlogs/CVS
	$(RMF) -rf autom4te.cache bacula-doc-* config.log config.out
	$(RMF) -f config.status kernsconfig
	(cd manual; make distclean)
	(cd manual-de; make distclean)
	(cd manual-fr; make distclean)
	(cd bacula-web; make distclean)


devclean:
	$(RMF) Makefile

depend:

install:
#	$(INSTALL_DATA) bacula.1 $(DESTDIR)$(mandir)/$(manprefix)bacula.$(manext)

uninstall:
#	-cd $(mandir); $(RMF) $(manprefix)bacula.$(manext)

=== bacula-web/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#

IMAGES=../images

first_rule: bacula

bacula: tex web html dvipdf

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@cp -fp ${IMAGES}/*.eps .
	@cp -fp ${IMAGES}/hires/*.eps .
	touch bacula-web.idx bacula-webi-general.tex
	-latex -interaction=batchmode bacula-web.tex
	makeindex bacula-web.idx >/dev/null 2>/dev/null
	-latex -interaction=batchmode bacula-web.tex

pdf:
	@echo "Making bacula-web pdf manual"
	@cp -fp ${IMAGES}/*.eps .
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf bacula-web.dvi bacula-web.pdf
	@rm -f *.eps *.old

dvipdf:
	@echo "Making bacula-web pdfm"
	@cp -fp ${IMAGES}/*.eps .
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 bacula-web.dvi
	@rm -f *.eps *.old

html:
	@echo "Making bacula-web html manual"
	@cp -fp ${IMAGES}/*.eps .
	@cp -fp ${IMAGES}/hires/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -e imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names bacula-web.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl bacula-web >tex.out 2>&1
	./translate_images.pl --to_meaningful_names bacula-web.html
	@rm -f *.gif *.jpg *.old

web:
	@echo "Making bacula-web web manual"
	@mkdir -p bacula-web
	@rm -f bacula-web/*
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps ${IMAGES}/*.png bacula-web/
	@rm -f bacula-web/next.eps bacula-web/next.png bacula-web/prev.eps bacula-web/prev.png bacula-web/up.eps bacula-web/up.png
	@(if [ -e bacula-web/imagename_translations ] ; then \
	   ./translate_images.pl --to_meaningful_names bacula-web/Bacula_Users_Guide.html; \
	 fi)
	@rm -rf bacula-web/*.html
	latex2html -split 4 -local_icons -t "Bacula-web Guide" -long_titles 4 \
		-contents_in_nav -toc_stars -white -notransparent bacula-web >/dev/null
	./translate_images.pl --to_meaningful_names bacula-web/Bacula_web_Guide.html
	@cp -f bacula-web/Bacula_web_Guide.html bacula-web/index.html
	@rm -f *.gif *.jpg bacula-web/*.eps  *.old

texcheck:
	./check_tex.pl bacula-web.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

clean:
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -rf bacula-web
	@rm -f images.tex bacula-webi-general.tex


distclean:
	@rm -f 1 2 3
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f images.tex bacula-webi-general.tex

=== developers/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#

IMAGES=../images

first_rule: bacula

bacula: tex web html dvipdf

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@cp -fp ${IMAGES}/hires/*.eps .
	touch developers.idx developersi-general.tex
	-latex -interaction=batchmode developers.tex
	makeindex developers.idx >/dev/null 2>/dev/null
	-latex -interaction=batchmode developers.tex
	@rm -f *.eps *.old

pdf:
	@echo "Making developers pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf developers.dvi developers.pdf
	@rm -f *.eps *.old

dvipdf:
	@echo "Making developers pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 developers.dvi
	@rm -f *.eps *.old

html:
	@echo "Making developers html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names developers.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		developers >/dev/null
	./translate_images.pl --to_meaningful_names developers.html
	@rm -f *.eps *.gif *.jpg *.old

web:
	@echo "Making developers web"
	@mkdir -p developers
	@rm -f developers/*
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps ${IMAGES}/*.png developers/
	@rm -f developers/next.eps developers/next.png developers/prev.eps developers/prev.png developers/up.eps developers/up.png
	@(if [ -f developers/imagename_translations ] ; then \
	   ./translate_images.pl --to_meaningful_names developers/Bacula_Users_Guide.html; \
	 fi)
	@rm -rf developers/*.html
	latex2html -split 4 -local_icons -t "Developer's Guide" -long_titles 4 \
		-contents_in_nav -toc_stars -white -notransparent developers >/dev/null
	./translate_images.pl --to_meaningful_names developers/Developers_Guide.html
	@cp -f developers/Developers_Guide.html developers/index.html
	@rm -f *.eps *.gif *.jpg developers/*.eps  *.old 
	@rm -f developers/idle.png
	@rm -f developers/win32-*.png developers/wx-console*.png developers/xp-*.png
	@rm -f developers/*.pl developers/*.log developers/*.aux developers/*.idx
	@rm -f developers/*.out WARNINGS

texcheck:
	./check_tex.pl developers.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

clean:
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -rf developers
	@rm -f images.tex developersi.tex


distclean:  clean
	@rm -f developers.html developers.pdf

=== images/Makefile ===
--- 
+++ 
@@ -17,46 +17,60 @@
 #
 
 # Base png images
-IMAGES =  bacula-applications \
-	  bacula-objects \
-	  Bacula-tray-monitor \
-	  bimagemgr1 \
-	  bimagemgr2 \
-	  bimagemgr3 \
-	  Conf-Diagram \
-	  win32-config \
-	  win32-finish \
-	  win32-installation-type \
-	  win32-installing \
-	  win32-location \
-	  win32-menu \
-	  win32-nsis \
-	  win32-pkg \
-	  win32-service-ok \
-	  win32-service \
-	  win32-start \
-	  win32-welcome \
-	  access-is-denied \
-	  confirm \
-	  flow \
-	  menu \
-	  philosophical-gnu-sm \
-	  properties-security-advanced-owner \
-	  properties-security \
-	  tray-icon \
-	  view-only \
-	  back \
-	  bacula-logo \
-	  bclogo \
-	  error \
-	  file \
-	  home \
-	  idle \
-	  md5 \
-	  next \
-	  running \
-	  smartall \
-	  thanks
+IMAGES =  \
+      access-is-denied \
+      back \
+      bacula-applications \
+      bacula-logo \
+      bacula-objects \
+      Bacula-tray-monitor \
+      bat_icon \
+      bclogo \
+      bimagemgr1 \
+      bimagemgr2 \
+      bimagemgr3 \
+      bweb-index \
+      bweb-report \
+      Conf-Diagram \
+      confirm \
+      error \
+      file \
+      flow \
+      home \
+      idle \
+      md5 \
+      menu \
+      next \
+      philosophical-gnu-sm \
+      prev \
+      properties-security-advanced-owner \
+      properties-security \
+      running \
+      smartall \
+      thanks \
+      tray-icon \
+      up \
+      view-only \
+      win32-config \
+      win32-finish \
+      win32-installation-type \
+      win32-installing \
+      win32-location \
+      win32-menu \
+      win32-nsis \
+      win32-pkg \
+      win32-service-ok \
+      win32-service \
+      win32-start \
+      win32-welcome \
+      wx-console-restore1 \
+      wx-console-restore2 \
+      xp-control-panel \
+      xp-windows-firewall-advanced \
+      xp-windows-firewall-advanced-settings-after \
+      xp-windows-firewall-advanced-settings-before \
+      xp-windows-firewall-advanced-settings-service-details \
+      xp-windows-firewall
 
 #	  xp-control-panel  
 #	  xp-windows-firewall-advanced \
@@ -88,7 +102,8 @@
 	    smartall \
 	    thanks  
 
-
+TIFIMAGES = \
+	  ba-ca-logo 
 
 
 first_rule: all
@@ -96,7 +111,7 @@
 .SUFFIXES:     .texi .html .pdf
 .PHONY:
 
-all:	convert
+all:	convertpdf converteps
 
 # Convert png images to pdf (texinfo needs both)
 convertpdf:	  
@@ -123,6 +138,11 @@
 	(for i in ${GIFIMAGES} ; do \
 	   giftopnm $${i}.gif | pnmtopng >$${i}.png ; \
 	 done)
+
+converttif:
+	(for i in ${TIFIMAGES} ; do \
+	   convert -geometry 250x $${i}.tif $${i}.png ; \
+	 done)
  
 clean:
 	@rm -f 1 2 3

=== manual-de/Makefile ===
--- 
+++ 
@@ -16,12 +16,29 @@
 #    make tex
 #    make show
 #
+#
+# If you are having problems getting "make" to work, debugging it is
+#  easier if can see the output from latex, which is normally redirected
+#  to /dev/null.  To see it, do the following:
+#
+#   cd docs/manual
+#   make tex
+#   latex bacula.tex
+#
+#  typically the latex command will stop indicating the error (e.g. a
+#  missing \ in front of a _ or a missing { or ] ...
+#
+#  The following characters must be preceded by a backslash
+#    to be entered as printable characters:
+# 
+#    # $ % & ~ _ ^ \ { }
+#
 
 IMAGES=../images
 
 first_rule: bacula
 
-bacula: tex web html dvipdf mini-clean
+bacula: tex web dvipdf mini-clean
 
 .SUFFIXES:     .tex .html
 .PHONY:
@@ -34,23 +51,26 @@
 	@cp -fp ${IMAGES}/hires/*.eps .
 	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
 	     baculai-console.tex baculai-general.tex
-	-latex -interaction=batchmode bacula.tex
+	latex -interaction=batchmode bacula.tex
 	makeindex bacula.idx -o bacula.ind 2>/dev/null
 	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
 	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
 	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
 	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
-	-latex -interaction=batchmode bacula.tex
+	latex -interaction=batchmode bacula.tex
+	latex -interaction=batchmode bimagemgr.tex
 
 pdf:
 	@echo "Making pdfm"
 	@cp -fp ${IMAGES}/hires/*.eps .
 	dvipdfm -p a4 bacula.dvi
+	dvipdfm -p a4 bimagemgr.dvi
 
 dvipdf:
 	@echo "Making dvi to pdf"
 	@cp -fp ${IMAGES}/hires/*.eps .
 	dvipdf bacula.dvi bacula.pdf
+	dvipdf bimagemgr.dvi bimagemgr.pdf
 
 html:
 	@echo " "
@@ -70,15 +90,15 @@
 	@mkdir -p bacula
 	@cp -fp ${IMAGES}/*.eps .
 	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
-	@cp -fp ${IMAGES}/*.eps *.txt bacula
-	@cp -fp ${IMAGES}/*.eps *.txt ${IMAGES}/*.png bacula
+	@cp -fp ${IMAGES}/*.eps *.txt bacula/
+	@cp -fp ${IMAGES}/*.eps *.txt ${IMAGES}/*.png bacula/
 	@rm -f bacula/xp-*.png
 	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
 	@rm -rf bacula/*.html
-	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
+	latex2html -split 3 -local_icons -t "Bacula User's Guide" -long_titles 4 \
 		-toc_stars -contents_in_nav -init_file latex2html-init.pl -white -notransparent bacula >tex.out 2>&1
 	./translate_images.pl --to_meaningful_names bacula/Bacula_Users_Guide.html
-	cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
+	-cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
 	@echo "Done making web"
 show:
 	xdvi bacula

=== manual-fr/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#

IMAGES=../images

first_rule: bacula

bacula: tex web html dvipdf mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@./update_version
	@echo "Making version `cat version.tex`"
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex
	-latex -interaction=batchmode bacula.tex
	makeindex bacula.idx -o bacula.ind 2>/dev/null
	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
	-latex -interaction=batchmode bacula.tex
	-latex -interaction=batchmode bimagemgr.tex

pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 bacula.dvi
	dvipdfm -p a4 bimagemgr.dvi

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf bacula.dvi bacula.pdf
	dvipdf bimagemgr.dvi bimagemgr.pdf

html:
	@echo " "
	@echo "Making html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names bacula.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl bacula >tex.out 2>&1
	./translate_images.pl --to_meaningful_names bacula.html
	@echo "Done making html"

web:
	@echo "Making web"
	@mkdir -p bacula
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps *.txt bacula
	@cp -fp ${IMAGES}/*.eps *.txt ${IMAGES}/*.png bacula
	@rm -f bacula/xp-*.png
	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
	@rm -rf bacula/*.html
	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl -white -notransparent bacula >tex.out 2>&1
	./translate_images.pl --to_meaningful_names bacula/Bacula_Users_Guide.html
	cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
	@echo "Done making web"
show:
	xdvi bacula

texcheck:
	./check_tex.pl bacula.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f bacula/*.gif bacula/*.jpg bacula/*.eps
	@rm -f bacula/*.aux bacula/*.cp bacula/*.fn bacula/*.ky bacula/*.log bacula/*.pg
	@rm -f bacula/*.backup bacula/*.ilg bacula/*.lof bacula/*.lot
	@rm -f bacula/*.cdx bacula/*.cnd bacula/*.ddx bacula/*.ddn bacula/*.fdx bacula/*.fnd bacula/*.ind bacula/*.sdx bacula/*.snd
	@rm -f bacula/*.dnd bacula/*.old bacula/*.out
	@rm -f bacula/WARNINGS


clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex


distclean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f	*.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex

## bacula-doc 2.4.0

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="09 October 2007"
+DATE="04 June 2008"
 LSMDATE=@LSMDATE@
-VERSION=2.2.5
+VERSION=2.4.0
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
@@ -31,7 +31,7 @@
 RMF = /bin/rm -f
 CP = /bin/cp
 SED = @SED@
-AWK = /usr/bin/gawk
+AWK = /usr/bin/mawk
 ECHO = /bin/echo
 CMP = @CMP@
 INSTALL = /usr/bin/install -c
@@ -48,7 +48,7 @@
 srcdir =	.
 
 .PATH:		.
-BACULASRC =	/home/kern/bacula/Release-2.2.5/bacula-2.2.5
+BACULASRC =	/home/kern/bacula/Release-2.4.0/bacula-2.4.0
 
 basedir = ..
 topdir = ..

## bacula-doc 2.4.4

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="04 June 2008"
+DATE="28 December 2008"
 LSMDATE=@LSMDATE@
-VERSION=2.4.0
+VERSION=2.4.4
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
@@ -48,7 +48,7 @@
 srcdir =	.
 
 .PATH:		.
-BACULASRC =	/home/kern/bacula/Release-2.4.0/bacula-2.4.0
+BACULASRC =	/home/kern/bacula/Release-2.4.4/bacula-2.4.4
 
 basedir = ..
 topdir = ..

## bacula-doc 5.0.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #
-# $Id: Makefile.in 2549 2005-11-05 22:11:40Z kerns $
+# $Id$
 #
-
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="28 December 2008"
+DATE="24 February 2010"
 LSMDATE=@LSMDATE@
-VERSION=2.4.4
+VERSION=5.0.1
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#
@@ -22,8 +21,9 @@
 sbindir = ${exec_prefix}/sbin
 sysconfdir = ${prefix}/etc
 scriptdir = @scriptdir@
-mandir = ${prefix}/man/man1
+mandir = ${datarootdir}/man/man1
 manext = 1
+datarootdir=${prefix}/share
 
 # Tools & program stuff
 MV = /bin/mv
@@ -31,15 +31,15 @@
 RMF = /bin/rm -f
 CP = /bin/cp
 SED = @SED@
-AWK = /usr/bin/mawk
+AWK = /bin/gawk
 ECHO = /bin/echo
 CMP = @CMP@
-INSTALL = /usr/bin/install -c
+INSTALL = /bin/install -c
 # add the -s to the following in PRODUCTION mode
-INSTALL_PROGRAM = /usr/bin/install -c -m @SBINPERM@
-INSTALL_DATA = /usr/bin/install -c -m 644
-INSTALL_SCRIPT = /usr/bin/install -c -m @SBINPERM@
-INSTALL_CONFIG = /usr/bin/install -c -m 640
+INSTALL_PROGRAM = /bin/install -c -m @SBINPERM@
+INSTALL_DATA = /bin/install -c -m 644
+INSTALL_SCRIPT = /bin/install -c -m @SBINPERM@
+INSTALL_CONFIG = /bin/install -c -m 640
 
 
 # End of common section of the Makefile
@@ -48,32 +48,81 @@
 srcdir =	.
 
 .PATH:		.
-BACULASRC =	/home/kern/bacula/Release-2.4.4/bacula-2.4.4
+BACULASRC =	/tmp/bacula/bacula
 
 basedir = ..
 topdir = ..
-thisdir = doc
+thisdir = docs
 
 #
 # Distribution variables
 #
 
+de_dirs = manuals/de/console manuals/de/developers manuals/de/main \
+  manuals/de/misc manuals/de/problems manuals/de/utility
+
+
+en_dirs = manuals/en/console manuals/en/developers manuals/en/main \
+  manuals/en/misc manuals/en/problems manuals/en/utility
+
+es_dirs = manuals/es/console manuals/es/developers manuals/es/main \
+  manuals/es/misc manuals/es/problems manuals/es/utility
+
+fr_dirs = manuals/fr/console manuals/fr/developers manuals/fr/main \
+  manuals/fr/misc manuals/fr/problems manuals/fr/utility
+
+all_dirs = ${de_dirs} ${en_dirs} ${es_dirs} ${fr_dirs}
 
 DIST	  = Makefile.in
 
 #-------------------------------------------------------------------------
 
+en: all
+
 all:
-	(cd manual; make)
-	(cd developers; make)
+	@for I in ${en_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+	@echo "All manuals built ..."
+
+bacula-web:
 	(cd bacula-web; make)
 
+fr:	french
 
-configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h autoconf/config.h.in
+french:
+	@for I in ${fr_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+
+de:	german
+
+german:
+	@for I in ${de_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+
+es:	spanish
+
+spanish:
+	@for I in ${es_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; \
+	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
+			    echo ""; echo ""; exit 1;)); \
+	done
+
+
+configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h
 	cd $(srcdir);
 	${RMF} -f config.cache config.log config.out config.status src/config.h
 	autoconf --prepend-include=$(srcdir)/autoconf \
-	autoconf/configure.in > configure
+	    autoconf/configure.in > configure
 	chmod 755 configure
 
 Makefile: Makefile.in
@@ -101,22 +150,21 @@
 
 clean:
 	$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
-	(cd manual; make clean)
-	(cd manual-de; make clean)
-	(cd manual-fr; make clean)
 	(cd bacula-web; make clean)
+	@for I in ${all_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done
+
 
 realclean: clean
 
-distclean:
+distclean: clean
 	$(RMF) Makefile
 	$(RMF) -r CVS html-manual/CVS home-page/CVS techlogs/CVS
 	$(RMF) -rf autom4te.cache bacula-doc-* config.log config.out
 	$(RMF) -f config.status kernsconfig
-	(cd manual; make distclean)
-	(cd manual-de; make distclean)
-	(cd manual-fr; make distclean)
 	(cd bacula-web; make distclean)
+	@for I in ${all_dirs}; \
+	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done
 
 
 devclean:

=== debian/changelog ===
bacula-doc (5.0.1-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 01 Mar 2010 11:32:11 -0600

bacula-doc (5.0.0-1) unstable; urgency=medium

  * New upstream release.  Closes: #380247.
  * Removed tetex build-deps, fixing FTBFS.  Closes: #562310.
  * Build all English manuals mentioned in the README.  The other
    languages are not ready for deployment.  Closes: #561686.
  * Switch to dpkg-source 3.0 (quilt) format since upstream ships a
    tar.bz2.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 09 Feb 2010 08:35:53 -0600

bacula-doc (2.4.4-1) unstable; urgency=low

  * New Upstream Version
  * Removed dep on bacula-common.  Closes: #502700.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 Jan 2009 14:20:07 -0600

bacula-doc (2.4.2-1) unstable; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Aug 2008 09:40:58 -0500

bacula-doc (2.4.1-1) unstable; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jul 2008 13:39:54 -0500

bacula-doc (2.4.0-1) unstable; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Jul 2008 10:10:33 -0500

bacula-doc (2.2.8-1) unstable; urgency=low

  * New upstream version.
  * Thanks to Mark Hymers for assistance with packaging 2.2.6 and 2.2.7.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 29 Dec 2007 16:02:34 +0000

bacula-doc (2.2.5-1) unstable; urgency=low

  * New upstream version.
  * Added build-dep on autoconf.  Closes: #441150.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Oct 2007 13:48:28 -0500

bacula-doc (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Aug 2007 02:12:47 -0500

bacula-doc (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 11:36:32 -0500

bacula-doc (2.0.2-1) experimental; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Feb 2007 05:06:26 -0600

bacula-doc (1.38.11.1-3) unstable; urgency=low

  * Now support building with texlive.  Closes: #380624.
  * Added build-dep on gs-common.  Closes: #382761.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Aug 2006 09:44:08 -0500

bacula-doc (1.38.11.1-2) unstable; urgency=low

  * Fixed missing tetex build-deps.  Oops.  Closes: #379555.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 28 Jul 2006 12:59:25 -0500

bacula-doc (1.38.11.1-1) unstable; urgency=low

  * Initial release of bacula-doc package.
    Closes: #371884, #317550, #314301, #362531.
    bacula-doc used to be generated as part of the bacula source package, but
    upstream split it off since 1.36.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jun 2006 13:32:58 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR := $(CURDIR)/debian/tmp-build
DOC := $(CURDIR)/debian/bacula-doc/usr/share/doc/bacula-doc

# This list from top-level Makefile en_dirs
MANUALS := console developers main misc problems utility

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	mkdir $(BUILDDIR)
	tar -cSf - --exclude=./.git --exclude=./debian . | tar -xSpf - -C $(BUILDDIR)
	cd $(BUILDDIR)/autoconf && autoconf
	cp $(BUILDDIR)/autoconf/configure $(BUILDDIR)
	cd $(BUILDDIR) && sh ./configure --with-bacula=$(CURDIR)/debian/fake-bacula-source

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	for SUBDIR in $(MANUALS) ; do \
		cd $(BUILDDIR)/manuals/en/$$SUBDIR && $(MAKE) tex dvipdf; done
	#docbook-to-man debian/bacula-doc.sgml > bacula-doc.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -rf $(BUILDDIR)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/bacula-doc.
	for MANUALDIR in $(MANUALS); do cp $(BUILDDIR)/manuals/en/$$MANUALDIR/*.pdf $(DOC); done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bacula-doc 5.0.2

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 # autoconf/Make.common.in        -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE="24 February 2010"
+DATE="28 April 2010"
 LSMDATE=@LSMDATE@
-VERSION=5.0.1
+VERSION=5.0.2
 VERNAME=bacula-$(VERSION)#
 MAINT=Kern Sibbald#
 MAINTEMAIL=<kern@sibbald.com>#

=== images/Makefile ===
--- 
+++ 
@@ -18,6 +18,10 @@
 
 # Base png images
 IMAGES =  \
+      bat11 \
+      bat12 \
+      bat13 \
+      bat-mediaview \
       access-is-denied \
       back \
       bacula-applications \

=== debian/changelog ===
bacula-doc (5.0.2-4) unstable; urgency=low

  [Alexander Reichle-Schmehl]
  * QA upload.
  * Update outdated autotools helper files:
   * Add dh_autotools-dev_restoreconfig to debian/rules clean target
   * Add dh_autotools-dev_updateconfig to debian/rules configure target
   * Bump build-depends on debhelper to >= 7 to have that available and add
     autotools-dev to build-depends
  * Clean config.status config.log in debian/rules clean
    * Add lintian override for that
  * Replace obsoleted call to dh_clean -k with dh_prep in debian/rules
  * Add recommended targets build-arch build-indep to debian/rules
  * Exclude techlogs/LICENSE from installation
  * Bump standards to 3.9.2 (no further changes)

  [Miguel de Val Borro]
  *  Fix "Please drop the gs-common Build-Dependency." removing dependency
     on gs-common (Closes: #649709)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 16 Dec 2011 16:33:21 +0100

bacula-doc (5.0.2-3) unstable; urgency=low

  * QA upload.
  * debian/control:
    + Remove useless dependency on ${shlibs:Depends},
    + Add dependency on ghostscript which contains dvipdf. Closes: #614534.
  * debian/rules:
    + remove some cruft
    + move stuff from binary-arch to binary-indep.
  * debian/copyright:
    + refer to licence text in /usr/share/common-licences.
    + recode to utf8
  * Rename the patch in debian/patches, remove cruft from its header.
  * Remove some debhelper templates from debian/

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Feb 2011 20:57:55 +0100

bacula-doc (5.0.2-2) unstable; urgency=low

  * Orphaning this package.  WNPP bug #612297 filed.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Feb 2011 08:22:25 -0600

bacula-doc (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * urgency medium since the accompanying bacula release is urgency medium
    and I want to get docs into testing the same time as the code.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Jun 2010 10:05:16 -0500

=== debian/control ===
Source: bacula-doc
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autoconf, autotools-dev,
 texlive-base, texlive-latex-recommended, texlive-fonts-recommended,
 ghostscript
Standards-Version: 3.9.2

Package: bacula-doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Bacula
 This package provides the documentation for Bacula, a backup program
 that permits you to manage backup, recovery, and verification of 
 computer data across a network of computers of different kinds.

=== debian/rules ===
--- 
+++ 
@@ -15,68 +15,51 @@
 # This list from top-level Makefile en_dirs
 MANUALS := console developers main misc problems utility
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
+	dh_autotools-dev_updateconfig
 	mkdir $(BUILDDIR)
 	tar -cSf - --exclude=./.git --exclude=./debian . | tar -xSpf - -C $(BUILDDIR)
 	cd $(BUILDDIR)/autoconf && autoconf
 	cp $(BUILDDIR)/autoconf/configure $(BUILDDIR)
 	cd $(BUILDDIR) && sh ./configure --with-bacula=$(CURDIR)/debian/fake-bacula-source
-
 	touch configure-stamp
 
-
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
-
-	# Add here commands to compile the package.
 	for SUBDIR in $(MANUALS) ; do \
 		cd $(BUILDDIR)/manuals/en/$$SUBDIR && $(MAKE) tex dvipdf; done
-	#docbook-to-man debian/bacula-doc.sgml > bacula-doc.1
-
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	# Add here commands to clean up after the build process.
 	-rm -rf $(BUILDDIR)
-
-	dh_clean 
+	dh_autotools-dev_restoreconfig
+	dh_clean config.status config.log
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
-
-	# Add here commands to install the package into debian/bacula-doc.
 	for MANUALDIR in $(MANUALS); do cp $(BUILDDIR)/manuals/en/$$MANUALDIR/*.pdf $(DOC); done
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
+binary-arch: build install
+# We have nothing to do.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
+	dh_installdocs --exclude=techlogs/LICENSE
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
